import { message } from 'antd'

export const MESSAGE_TYPE = {
    ERROR:0,
    INFO:1,
    SUCCESS:2,
    WARNING:3
};
export class Message {
    static error(msg) {
        message.error(msg);
        message.config({
            maxCount: 1,
        });
    }

    static info(msg) {
        message.info(msg);
        message.config({
            maxCount: 1,
        });
    }

    static success(msg) {
        message.success(msg);
        message.config({
            maxCount: 1,
        });
    }

    static warning(msg) {
        message.warning(msg);
        message.config({
            maxCount: 1,
        });
    }

    static alert(params) {
        if(typeof params !== "object" || params.type === undefined || params.msg === undefined) {
            console.error('Message.alert参数{ type,msg }');
            return;
        }
        let { type,msg } = params;
        switch (type) {
            case MESSAGE_TYPE.ERROR: Message.error(msg); break;
            case MESSAGE_TYPE.INFO: Message.info(msg); break;
            case MESSAGE_TYPE.SUCCESS: Message.success(msg); break;
            case MESSAGE_TYPE.WARNING: Message.warning(msg); break;
            default:
                Message.error(msg);
        }
    }
}