import React, {Fragment} from 'react';
import PropTypes from 'prop-types';
import './JFPageHeader.scss';

export function JFPageHeader({ title, routes }) {
    return (
        <div className={'jf-page-header'}>
            <div className={'left'}>
                { title }：
            </div>
            <div className={'right'}>
                {
                    routes.map(({ name },index) => {
                        return (
                            <Fragment key={index}>
                                <span>{ name }</span>{ index === routes.length-1 || '>' }
                            </Fragment>
                        )
                    })
                }
            </div>
        </div>
    );
}

JFPageHeader.propTypes = {
    title:  PropTypes.string,
    routes: PropTypes.array
};

JFPageHeader.defaultProps = {
    title:'位置',
    routes: []
};

export default JFPageHeader;
