import React, {Component, Fragment} from 'react';
import {withRouter} from "react-router-dom";
import './JFUser.scss';
import {observer, inject} from 'mobx-react';
import ChangePasswordModel from '../../component/changePasswordModel/changePasswordModel';

@inject('userStore')
@observer
class JFUser extends Component {
    constructor(props) {
        super(props);
        this.logout = this.logout.bind(this);
        this.resetPassword = this.resetPassword.bind(this);
        this.state = {
            changePasswordModelVisible:false,
            showMenu: false
        }
    };

    handleOk = () => {
        this.setState({
            changePasswordModelVisible: false,
        });
    };

    handleCancel = () => {
        this.setState({
            changePasswordModelVisible: false,
        });
    };

    logout = () => {
        this.props.userStore.logout();
    };

    resetPassword = () => {
        this.setState({
            changePasswordModelVisible: true
        });
    };

    showMenu = () => {
        this.setState({
            showMenu: true
        });
    };
    hideMenu = () => {
        this.setState({
            showMenu: false
        });
    };
    render() {
        let {showMenu} = this.state;
        let { userStore } = this.props;
        return (
            <Fragment>
                <ChangePasswordModel visible={this.state.changePasswordModelVisible}  history={this.props.history} onOk={this.handleOk} onCancel={this.handleCancel}/>
                <div onMouseEnter={this.showMenu} onMouseLeave={this.hideMenu} className={'JFUser'}>
                    <div className={showMenu ? 'userPhoto changeBg' : 'userPhoto'}>
                        <img src={require("../../../assets/images/rt.png")} style={{width: '30px', height: '30px'}}/>
                    </div>
                    <div className={showMenu ? 'dropdownMemu showMenu' : 'dropdownMemu'}>
                        <div className={'contentWrapper'}>
                            <div className={'userInfo'}>
                                <div className={'photo'}>
                                    <img src={require("../../../assets/images/rt.png")} style={{width: '30px', height: '30px'}}/>
                                </div>
                                <div className={'mail'}>{ userStore.user.email }</div>
                            </div>
                            <div className={'link'}>
                                <div>
                                    <span className={'password'} onClick={this.resetPassword}>修改密码</span>
                                    <span className={'logout'} onClick={this.logout}>退出</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </Fragment>
        );
    }
}

export default withRouter(JFUser);
